using Microsoft.Extensions.DependencyInjection;
using StellaOps.Plugin;

namespace StellaOps.Feedser.Source.Nvd;

public sealed class NvdConnectorPlugin : IConnectorPlugin
{
    public string Name => SourceName;

    public static string SourceName => "nvd";

    public bool IsAvailable(IServiceProvider services) => services is not null;

    public IFeedConnector Create(IServiceProvider services)
    {
        ArgumentNullException.ThrowIfNull(services);
        return ActivatorUtilities.CreateInstance<NvdConnector>(services);
    }
}
